Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.infocardOrganizer
Class InfomlReader

    java.lang.Object
      org.infoml.infocardOrganizer.InfomlReader

    public class InfomlReader

extends java.lang.Object

Constructor Summary
`InfomlReader(MainFrame mainFr, Main infomlFile, java.lang.String filePath)`

Method Summary
`UniqueContentModel` | `cloneContentcardModel(UniqueContentModel cloned)`
`NotecardModel` | `cloneNotecardModel(NotecardModel cloned)`
`void` | `completeInfomlList()`
`void` | `completeStructuresForDuplicateElements()`
`void` | `displayInfoml(InfocardWindow win)`
`InfomlType` | `getInfocard(int ind)`
`java.util.List` | `getInfocardList()`
`int` | `readInfomlFile()`
`boolean` | `realInfocard(int ind)`
`void` | `setOutlineVector(int ind)`
`UniqueContentModel` | `turnToUniqueContentModel(NotecardModel model)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InfomlReader

    public InfomlReader(MainFrame mainFr,
                        Main infomlFile,
                        java.lang.String filePath)

Method Detail

### getInfocardList

    public java.util.List getInfocardList()

### readInfomlFile

    public int readInfomlFile()

### realInfocard

    public boolean realInfocard(int ind)

### setOutlineVector

    public void setOutlineVector(int ind)

### displayInfoml

    public void displayInfoml(InfocardWindow win)

### cloneContentcardModel

    public UniqueContentModel cloneContentcardModel(UniqueContentModel cloned)

### cloneNotecardModel

    public NotecardModel cloneNotecardModel(NotecardModel cloned)

### completeStructuresForDuplicateElements

    public void completeStructuresForDuplicateElements()

### completeInfomlList

    public void completeInfomlList()

### turnToUniqueContentModel

    public UniqueContentModel turnToUniqueContentModel(NotecardModel model)

### getInfocard

    public InfomlType getInfocard(int ind)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD